package com.yiqi.common.enums;

/**
 * 用户状态
 * 
 * @author ruoyi
 */
public enum PayType implements CodeEnum
{
    WECHAT("0", "微信"),
    ALIPAY("1", "ALIPAY"),
    CASH("2", "现金"),
    BALANCE("3", "会员余额"),

    RECHARGE_CARD("4", "储值卡"),

    OFFLINE("5", "线下支付"),
    UNIONPAY("6", "银联支付"),
    //组合支付
    COMBINE("9", "组合支付"),
    ;

    private final String code;
    private final String info;

    PayType(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    @Override
    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
